# VIDU Q2 Reference Image to Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q2-reference2video

# VIDU Q2 Reference Image to Video

POST

/

v3

/

async

/

vidu-q2-reference2video

VIDU Q2 Reference Image to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q2-reference2video \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"bgm": true,
"seed": 123,
"audio": true,
"prompt": "&#x3C;string>",
"duration": 123,
"subjects": [
{
"id": "&#x3C;string>",
"images": [
"&#x3C;string>"
],
"voice_id": "&#x3C;string>"
}
],
"watermark": true,
"resolution": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>",
"movement_amplitude": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/vidu-q2-reference2video"payload = { "bgm": True, "seed": 123, "audio": True, "prompt": "&#x3C;string>", "duration": 123, "subjects": [ { "id": "&#x3C;string>", "images": ["&#x3C;string>"], "voice_id": "&#x3C;string>" } ], "watermark": True, "resolution": "&#x3C;string>", "aspect_ratio": "&#x3C;string>", "movement_amplitude": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ bgm: true, seed: 123, audio: true, prompt: '&#x3C;string>', duration: 123, subjects: [{id: '&#x3C;string>', images: ['&#x3C;string>'], voice_id: '&#x3C;string>'}], watermark: true, resolution: '&#x3C;string>', aspect_ratio: '&#x3C;string>', movement_amplitude: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/vidu-q2-reference2video', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/vidu-q2-reference2video", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'bgm' => true, 'seed' => 123, 'audio' => true, 'prompt' => '&#x3C;string>', 'duration' => 123, 'subjects' => [ [ 'id' => '&#x3C;string>', 'images' => [ '&#x3C;string>' ], 'voice_id' => '&#x3C;string>' ] ], 'watermark' => true, 'resolution' => '&#x3C;string>', 'aspect_ratio' => '&#x3C;string>', 'movement_amplitude' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/vidu-q2-reference2video"	payload := strings.NewReader("{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"duration\": 123,\n \"subjects\": [\n {\n \"id\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"voice_id\": \"&#x3C;string>\"\n }\n ],\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"movement_amplitude\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/vidu-q2-reference2video") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"duration\": 123,\n \"subjects\": [\n {\n \"id\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"voice_id\": \"&#x3C;string>\"\n }\n ],\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"movement_amplitude\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/vidu-q2-reference2video")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"bgm\": true,\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"duration\": 123,\n \"subjects\": [\n {\n \"id\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"voice_id\": \"&#x3C;string>\"\n }\n ],\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\",\n \"movement_amplitude\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

VIDU Q2 reference image to video API, supports multiple resolution options. Generates new video content based on reference image.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-bgm)

bgm

boolean

default:false

Whether to add background music

[​](#param-seed)

seed

integer

Random seed for controlling randomness. Same seed produces similar results.

[​](#param-audio)

audio

boolean

default:false

Whether to generate audio

[​](#param-prompt)

prompt

string

required

Text prompt, can use @1, @2, etc. placeholders to reference subjects

[​](#param-duration)

duration

integer

default:5

required

Video duration in seconds, supports 1-10 secondsOptional values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`

[​](#param-subjects)

subjects

object[]

required

List of subjects, each containing id, images, and voice_idArray length: 1 - unlimited

Hide properties

[​](#param-id)

id

string

required

Subject ID, referenced in prompt using @id

[​](#param-images)

images

string[]

required

Subject image URL listArray length: 1 - unlimited

[​](#param-voice-id)

voice_id

string

default:""

Voice ID, optional

[​](#param-watermark)

watermark

boolean

default:false

Whether to add watermark

[​](#param-resolution)

resolution

string

default:"720p"

Output video resolution. Default is 720p.Optional values: `540p`, `720p`, `1080p`

[​](#param-aspect-ratio)

aspect_ratio

string

Video aspect ratio, such as 16:9, 9:16, 1:1, etc.

[​](#param-movement-amplitude)

movement_amplitude

string

Movement amplitude, controls the intensity of object movementOptional values: `auto`, `small`, `medium`, `high`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on July 3, 2026
